Next Commerce
Subscriptions

Subscriptions Lines Create

Create a new subscription line.

POST
/subscriptions/{id}/lines/

Authorization

oauth2 subscriptions:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: subscriptions:write

Path Parameters

id*integer

A unique integer value identifying the Subscription.

Header Parameters

X-29next-API-Version*"2023-02-10"
Default"2023-02-10"

Value in

  • "2023-02-10"

Request Body

Response Body

application/json

curl -X POST "https://example.com/subscriptions/0/lines/" \  -H "X-29next-API-Version: 2023-02-10" \  -H "Content-Type: application/json" \  -d '{    "product_id": 0,    "quantity": 0  }'
{  "id": 0,  "metadata": null,  "price": "string",  "product": {    "categories": [      {        "id": 0,        "name": "string",        "slug": "string"      }    ],    "id": 0,    "images": [      {        "attachment": "string",        "caption": "string",        "display_order": 0,        "file_name": "string",        "id": 0,        "src": "http://example.com"      }    ],    "title": "string",    "upc": "string",    "url": "http://example.com"  },  "properties": [    {      "key": "string",      "value": null    }  ],  "quantity": 0,  "stockrecord": {    "id": 0,    "low_stock_threshold": 0,    "num_allocated": -2147483648,    "num_in_stock": -2147483648,    "partner_sku": "string",    "price": "string",    "price_currency": "string",    "price_retail": "string"  }}